Bug 402971 - GFS2: gfs2_edit savemeta doesn't save rindex file
GFS2: gfs2_edit savemeta doesn't save rindex file
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gfs2-utils (Show other bugs)
5.1
All Linux
low Severity low
: ---
: ---
Assigned To: Chris Feist
GFS Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-28 10:18 EST by Robert Peterson
Modified: 2010-01-11 22:40 EST (History)
0 users

See Also:
Fixed In Version: RHBA-2008-0350
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 13:20:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch to fix the problem (3.69 KB, patch)
2007-11-28 11:41 EST, Robert Peterson
no flags Details | Diff

  None (edit)
Description Robert Peterson 2007-11-28 10:18:07 EST
Description of problem:
If you do gfs2_edit savemeta, it's not saving the contents of the
rindex file, which is vital.

Version-Release number of selected component (if applicable):
RHEL 5.2 prototype

How reproducible:
Always

Steps to Reproduce:
1. gfs2_edit savemeta /dev/roth_vg/roth_lv /tmp/meta
2. gfs2_edit printsavedmeta /tmp/meta | less

Actual results:
/tmp/meta may contain the rindex metadata, but does not contain the
rindex data.

Expected results:
The rindex file should be saved in its entirety.

Additional info:
Comment 1 Robert Peterson 2007-11-28 10:18:53 EST
Requesting ack flags for inclusion into 5.2.
Comment 2 RHEL Product and Program Management 2007-11-28 10:25:22 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Robert Peterson 2007-11-28 11:41:35 EST
Created attachment 271451 [details]
Patch to fix the problem

This patch saves the rindex file correctly.  It also fixes a problem
with saving corrupt file systems.
Comment 4 Robert Peterson 2007-11-28 11:51:18 EST
The patch was tested on system roth-01.  The fix was committed to
CVS at the HEAD and RHEL5 branches.  Changing status to Modified.
Comment 7 errata-xmlrpc 2008-05-21 13:20:32 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0350.html

Note You need to log in before you can comment on or make changes to this bug.